// creator  : weidu.exe (version 23100)
// argument : TRMTOW03.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TRMTOW03~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~!Dead("cefald01")
InParty("Cernd")
See("Cernd")~ THEN BEGIN 0 // from:
  SAY #43604 /* ~Oh!  It... it's the druid!  Run!  Somebody call the militia!~ */
  IF ~~ THEN DO ~RunAwayFrom(LastTalkedToBy,75)~ EXIT
END

IF ~RandomNum(2,1)
Dead("cefald01")
Global("geniesgone","GLOBAL",0)~ THEN BEGIN 1 // from:
  SAY #43605 /* ~Er... you're one of the ones that saved the town?  I was attacked by a horde of rabbits when I was in my wagon, coming back from Hilltop.  It was horrid!~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(2,2)
Dead("cefald01")
Global("geniesgone","GLOBAL",0)~ THEN BEGIN 2 // from:
  SAY #43606 /* ~The genies are hoarding all the food!  I... I went to them yesterday and they were charging four coppers for a loaf of bread!  I'm soooo hungry...~ */
  IF ~~ THEN EXIT
END

IF ~!Dead("cefald01")
OR(2)
!InParty("Cernd")
!See("Cernd")
CheckStatLT(LastTalkedToBy,13,CHR)~ THEN BEGIN 3 // from:
  SAY #43607 /* ~Eeek!  I... I'm just a little halfling!  Please don't hurt me!~ */
  IF ~~ THEN DO ~RunAwayFrom(LastTalkedToBy,30)~ EXIT
END

IF ~!Dead("cefald01")
OR(2)
!InParty("Cernd")
!See("Cernd")
CheckStatGT(LastTalkedToBy,12,CHR)~ THEN BEGIN 4 // from:
  SAY #43608 /* ~It was bears the last time... five of them just lumbered into town.  Poor old missus Berrybreath... swallowed whole, she was.  (shudder)~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(2,1)
Dead("cefald01")
Global("geniesgone","GLOBAL",1)~ THEN BEGIN 5 // from:
  SAY #43609 /* ~Hmf.  Now that this is all over, I went and bought all the jarred food I could find and stored them in my burrow.  Won't happen again to THIS halfling, no sir!~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(2,2)
Dead("cefald01")
Global("geniesgone","GLOBAL",1)~ THEN BEGIN 6 // from:
  SAY #43610 /* ~Arvoreen's mercy, you're one of the heroes of the town!  Pleased to meetcha!~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(2,1)
Dead("cefald01")~ THEN BEGIN 7 // from:
  SAY #43611 /* ~No more animal attacks?  I suppose that means no more fresh meat, either.  We're gonna have to buy everything from the genies...~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(2,2)
Dead("cefald01")~ THEN BEGIN 8 // from:
  SAY #43612 /* ~When you're this short, nobody calls you mister.~ */
  IF ~~ THEN EXIT
END
